Using several media outlets, Apple has just announced major details about Mac OS X 10.8, the next version of the company's desktop operatng system. The new release, codenamed "Mountain Lion," will be available to people with Mac developer accounts soon in the form of a preview, and a release to the public is expected late this summer. This short development cycle, unheard of since the early days of Mac OS X over a decade ago, reflects a desire at Apple to mirror the roughly yearly release cycle of iOS.

Despite the name, which suggests a version relatively light in feature changes over the previous version (like the transition from Leopard to Snow Leopard), Mountain Lion is intended to be a major new feature release that continues the work of bringing iOS features to the Mac: many of its major features are iOS transplants, including the Notification Center (which will bring unified notifications to OS X, replacing third-party apps like Growl), Game Center, iMessage support (in the form of an app called Messages, which replaces iChat - there's a free beta available for Lion users now), AirPlay Mirroring, a Notes app, Reminders, Twitter integration, tighter iCloud integration, and others. Frankly, this list of iOS imports actually seems to make more sense for the Mac as a platform than did some of the features (like Launchpad) that were brought over in Lion.

Mountain Lion will also include some new features all its own: Gatekeeper, which is aimed straight at system administrators, will allow admins to lock down the type of apps allowed to run on Macs. You can choose to allow apps only from the Mac App Store, apps from the Mac App store as well as those from developers you approve, or apps from anywhere (which is the default behavior in OS X currently). This can be seen as another step toward disallowing non-Mac App Store programs from running in OS X, but taken at face value it appears to be a solid compromise between the security of iOS-like behavior and the flexibility to install code from anywhere that users have always been accustomed to in OS X.

We don't have any information about system requirements yet, so we don't know whether Mountain Lion will run on any Lion-compatible Mac (which seems technically possible) or whether it will drop support for some older machines (which has historically happened with new OS X releases - see this page of our Lion review for in-depth information on what got dropped from the support list and why). The Apple developer site is currently down, but as soon as it comes back up those with developer accounts should be able to download and play with the next version of OS X. We'll continue to cover the new OS as details are made public.

Update: As we suggested might happen in our Lion review, Mountain Lion's developer preview appears to do away with support for any Mac that cannot boot into OS X's 64-bit kernel. I'll link you to that page of our Lion review again if you'd like deep technical information about what that means, but the short version is that a wide range of Apple's products from 2007 and 2008 are being dropped regardless of whether they include a Core 2 Duo processor. The list of supported Macs includes:

• iMac (mid 2007 or later)
• MacBook (13-inch Aluminum,  2008), (13-inch, Early 2009 or later)
• MacBook Pro (13-inch, Mid-2009 or later), (15-inch, 2.4/2.2 GHz), (17-inch, Late 2007 or later)
• MacBook Air (Late 2008 or later)
• Mac Mini (Early 2009 or later)
• Mac Pro (Early 2008 or later)
• Xserve (Early 2009)

The cutoff happens in different places for different products, but here are some rules of thumb: if your Mac uses the ATI Radeon X1600 graphics chip or the Intel GMA 950/X3100 integrated graphics chips, you're out of luck. If you've got a white iMac or one of the very first Mac Pros, you're out of luck. There are a few easy ways to check whether your Mac can run the 64-bit kernel, and Apple outlines all of them in this support document.

It should be noted that this information comes from the developer preview's release notes and may not be indicative of the final support list, but Lion's dropping of Core Duo Macs (and Snow Leopard's dropping of PPC Macs) were known quantities pretty early in the development of those operating systems - support for these older Macs may be added before the final release, but history suggests otherwise.

Source: The Verge

POST A COMMENT

38 Comments

View All Comments

  • overseer - Thursday, February 16, 2012 - link

    Allow me if I look ignorant, but does Mountian Lion have genuine TRIM support? Reply
  • MySchizoBuddy - Thursday, February 16, 2012 - link

    Lion already comes with TRIM support. Albeit it is only enabled for Apple certified SSDs. There was an article on how to enable TRIM for all SSDs Reply
  • dagamer34 - Thursday, February 16, 2012 - link

    Problem is that it can cause beach balling on some SSDs (it did on my OCZ Vertex 3), which is why it isn't enabled for all drives. I don't think Apple tested it on 3rd party SSDs that well. Reply
  • djc208 - Thursday, February 16, 2012 - link

    Umm, it's Apple, since when did they ever support 3rd party anything if they offered their own version. If it doesn't work with your SSD that's because you should have been using an Apple SSD. Reply
  • ckryan - Thursday, February 16, 2012 - link

    I think the beachballing with 2281s is from the the way SF's do TRIM. Reply
  • Henk Poley - Thursday, February 16, 2012 - link

    Someone (apparently) copied the requirements: http://pastebin.com/Q5yishhi Reply
  • Andrew.a.cunningham - Thursday, February 16, 2012 - link

    Just updated the article before I saw this. Thanks for the heads-up! Reply
  • MonkeyPaw - Thursday, February 16, 2012 - link

    Don't you just love how Apple just cuts off old products? Those first-run Macpros (with that terrible FB-DIMM tech) were expensive, and are now obsolete according to Apple. Sure, you can stick to 10.6 or 10.7, but pretty much any PC from 2007 will be able to run Win8, so long as you give it enough RAM. Apple just gets away with doing whatever they want, all while making billions. I just don't get it. Reply
  • Andrew.a.cunningham - Thursday, February 16, 2012 - link

    I see WHY they do it (cutting out old hardware both to force upgrades and to lessen their headaches from supporting older stuff), but they're definitely not doing it because they have to. Any machine booting the 32-bit kernel now could be made to boot the 64-bit kernel via driver and EFI updates (we saw it in Lion, where some of the early aluminum iMacs and some other machines couldn't boot EFI64 in Snow Leopard but became supported by Lion), but the benefit to users apparently isn't enough to justify the effort on Apple's part.

    The worst thing about this is how unclear and arbitrary the whole 64-bit kernel thing has always been. At least dropping PPC/Core Duo support was a clear line in the sand with a clear technological justification. This cutoff is going to be a weird one to explain to the layperson (though I submit that the number of people running Macs this old who are ALSO fastidious about updating to the latest OS X is probably a small subsection of the user base).

    I also worry that we'll see more Macs left behind more quickly by this new rapid update process - traditional CPU/GPU development has slowed enough that computers can easily be useful for 4-5 years even for more demanding users (as opposed to the much more rapid improvements in performance that we see on the ARM/SoC side of the fence), and I'd hate to see expensive Mac hardware treated as if it were as disposable as iOS devices that cost half as much (or less).
    Reply
  • KPOM - Friday, February 17, 2012 - link

    Perhaps this is another reason why they are pushing the App Store model. I can see a future where the App Store knows exactly which apps are compatible with your device and shows only those devices that operate. Reply

Log in

Don't have an account? Sign up now